"""
This script contains bits of codes for examples to be included in the Deck
"""

from backend.SearchEpc import SearchEpc
from dotenv import load_dotenv
import os

load_dotenv(dotenv_path="backend/.env")

EPC_AUTH_TOKEN = os.getenv("EPC_AUTH_TOKEN")

searcher = SearchEpc(
    address1="108 Blacklands",
    postcode="ME19 6DP",
    auth_token=EPC_AUTH_TOKEN,
    os_api_key="",
    property_type=None,
    fast=False,
)

res = searcher.estimate_epc(
    property_type="Bungalow",
    built_form="Detached",
    lmks_to_drop=["849273656952012102323315196229804"],
    exclude_old=True
)
